msgpack::MsgpackTupleAsImpl< T, Args > Struct Template Reference

`#include <cpp11_msgpack_tuple.hpp>`

## Static Public Member Functions

static msgpack::type::tuple< T, Args... > | as (msgpack::object const &o)

## Member Function Documentation

## as()

template<typename T , typename... Args>

static msgpack::type::tuple<T, Args...> msgpack::MsgpackTupleAsImpl< T, Args >::as | ( | msgpack::object const & | o | ) |

inline static

References msgpack::object::union_type::array, msgpack::MsgpackTupleAs< Args >::as(), msgpack::object::as(), msgpack::type::make_tuple(), msgpack::object_array::ptr, msgpack::object_array::size, msgpack::type::tuple_cat(), and msgpack::object::via.

Referenced by msgpack::MsgpackTupleAs< Args >::as().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/detail/cpp11_msgpack_tuple.hpp